# Created by pyp2rpm-1.0.0
%global pypi_name requests-gssapi

Name:           python-requests-gssapi
Version:        1.2.3
Release:        %mkrel 1
Group:          Development/Python
Summary:        A GSSAPI authentication handler for python-requests
License:        BSD
URL:            https://pypi.python.org/pypi/requests-gssapi
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Requests is an HTTP library, written in Python, for human beings.
This library adds optional GSSAPI authentication support and supports 
mutual authentication.

It provides a fully backward-compatible shim for the old python-requests-kerberos
library: simply replace import requests_kerberos with import requests_gssapi. 
A more powerful interface is provided by the HTTPSPNEGOAuth component, but this 
is of course not guaranteed to be compatible. Documentation below is written 
toward the new interface.

%package -n python3-%{pypi_name}
Group:          Development/Python
Summary:        A GSSAPI authentication handler for python-requests
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Requests is an HTTP library, written in Python, for human beings.
This library adds optional GSSAPI authentication support and supports 
mutual authentication.

It provides a fully backward-compatible shim for the old python-requests-kerberos
library: simply replace import requests_kerberos with import requests_gssapi. 
A more powerful interface is provided by the HTTPSPNEGOAuth component, but this 
is of course not guaranteed to be compatible. Documentation below is written 
toward the new interface.

%prep
%setup -q -n %{pypi_name}-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files requests_gssapi

%files -n python3-%{pypi_name} -f %{pyproject_files}




%changelog
* Tue Sep 06 2022 neoclust <neoclust> 1.2.3-1.mga9
+ Revision: 1884558
- imported package python-requests-gssapi

